Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 464959 - FTBFS PythonCard-0.8.2-1.fc10
Summary: FTBFS PythonCard-0.8.2-1.fc10
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: PythonCard
Version: rawhide
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: F10FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-10-01 15:42 UTC by FTBFS
Modified: 2008-10-29 12:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-29 12:39:47 UTC


Attachments (Terms of Use)
root.log (deleted)
2008-10-01 15:42 UTC, FTBFS
no flags Details
build.log (deleted)
2008-10-01 15:42 UTC, FTBFS
no flags Details
mock.log (deleted)
2008-10-01 15:42 UTC, FTBFS
no flags Details

Description FTBFS 2008-10-01 15:42:31 UTC
PythonCard-0.8.2-1.fc10.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 FTBFS 2008-10-01 15:42:35 UTC
Created attachment 318275 [details]
root.log

root.log for x86_64

Comment 2 FTBFS 2008-10-01 15:42:36 UTC
Created attachment 318276 [details]
build.log

build.log for x86_64

Comment 3 FTBFS 2008-10-01 15:42:37 UTC
Created attachment 318277 [details]
mock.log

mock.log for x86_64

Comment 4 Matt Domsch 2008-10-29 04:57:48 UTC
* Need to use sitelib, not sitearch, for noarch.
* need to nuke build/ dir, not include it in the package.

diff -u -b -B -u -r1.1 PythonCard.spec
--- PythonCard.spec     8 Aug 2008 15:42:33 -0000       1.1
+++ PythonCard.spec     29 Oct 2008 04:56:49 -0000
@@ -1,4 +1,4 @@
-%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')
+%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(0)')

 Name:          PythonCard
 Version:       0.8.2
@@ -31,10 +31,11 @@
 rm -rf $RPM_BUILD_ROOT
 env CFLAGS="$RPM_OPT_FLAGS" python setup.py install --root=$RPM_BUILD_ROOT
 mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
-mv $RPM_BUILD_ROOT/%{python_sitearch}/%{name}/samples $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/
-mv $RPM_BUILD_ROOT/%{python_sitearch}/%{name}/docs $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/
-mv $RPM_BUILD_ROOT/%{python_sitearch}/%{name}/tools $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/examples
+mv $RPM_BUILD_ROOT/%{python_sitelib}/%{name}/samples $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/
+mv $RPM_BUILD_ROOT/%{python_sitelib}/%{name}/docs $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/
+mv $RPM_BUILD_ROOT/%{python_sitelib}/%{name}/tools $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/examples
 mv *.txt $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/
+rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/%{name}/build

 %clean
 rm -rf $RPM_BUILD_ROOT
@@ -43,9 +44,9 @@
 %defattr(-,root,root,-)
 %exclude %{_bindir}/install-pythoncard.*
 %if 0%{?fedora} >= 9
-%{python_sitearch}/*egg-info
+%{python_sitelib}/*egg-info
 %endif
-%{python_sitearch}/%{name}
+%{python_sitelib}/%{name}
 %{_docdir}/%{name}-%{version}

 %changelog

Comment 5 Matt Domsch 2008-10-29 12:39:47 UTC
committed and building in koji.
 http://koji.fedoraproject.org/koji/taskinfo?taskID=910576


Note You need to log in before you can comment on or make changes to this bug.